# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::HashEntry Struct Reference

An entry in a hash table. More...

`#include <lookup.h>`

Collaboration diagram for KJS::HashEntry:

[legend]
List of all members.

## Public Attributes

const char * | s
| s is the key (e.g.
int | value
| value is the result value (usually an enum value)
short int | attr
| attr is a set for flags (e.g.
short int | params
| params is another number.
const HashEntry * | next
| next is the pointer to the next entry for the same hash value

## Detailed Description

An entry in a hash table.

Definition at line 37 of file lookup.h.

## Member Data Documentation

const char* KJS::HashEntry::s

| s is the key (e.g. a property name) Definition at line 41 of file lookup.h.

int KJS::HashEntry::value

| value is the result value (usually an enum value) Definition at line 45 of file lookup.h.

short int KJS::HashEntry::attr

| attr is a set for flags (e.g. the property flags, see object.h) Definition at line 49 of file lookup.h.

short int KJS::HashEntry::params

| params is another number. For property hashtables, it is used to denote the number of argument of the function Definition at line 54 of file lookup.h.

const HashEntry* KJS::HashEntry::next

| next is the pointer to the next entry for the same hash value Definition at line 58 of file lookup.h.

The documentation for this struct was generated from the following file:

- lookup.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:00 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001